net.sf.jasperreports.crosstabs.design

## Class JRDesignCrosstabCell

- java.lang.Object
- - net.sf.jasperreports.crosstabs.base.JRBaseCrosstabCell
  - - net.sf.jasperreports.crosstabs.design.JRDesignCrosstabCell

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCrosstabCell, JRChangeEventsSupport, JRCloneable

      public class JRDesignCrosstabCell
      extends JRBaseCrosstabCell
      implements JRChangeEventsSupport

  Implementation of `JRCrosstabCell` to be used for report design.
  Version:
    $Id: JRDesignCrosstabCell.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLUMN_TOTAL_GROUP`
    `static java.lang.String` | `PROPERTY_CONTENTS`
    `static java.lang.String` | `PROPERTY_HEIGHT`
    `static java.lang.String` | `PROPERTY_ROW_TOTAL_GROUP`
    `static java.lang.String` | `PROPERTY_WIDTH`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabCell

      `columnTotalGroup, contents, height, rowTotalGroup, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignCrosstabCell()` Creates a crosstab data cell.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setColumnTotalGroup(java.lang.String columnTotalGroup)` Indicates that the cell corresponds to a total column.
    `void` | `setContents(JRDesignCellContents contents)` Sets the cell contents.
    `void` | `setHeight(java.lang.Integer height)` Sets the cell height.
    `void` | `setRowTotalGroup(java.lang.String rowTotalGroup)` Indicates that the cell corresponds to a total row.
    `void` | `setWidth(java.lang.Integer width)` Sets the cell width.

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabCell

      `getColumnTotalGroup, getContents, getHeight, getRowTotalGroup, getWidth`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_COLUMN_TOTAL_GROUP

          public static final java.lang.String PROPERTY_COLUMN_TOTAL_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_CONTENTS

          public static final java.lang.String PROPERTY_CONTENTS

      See Also:
        Constant Field Values

    - #### PROPERTY_HEIGHT

          public static final java.lang.String PROPERTY_HEIGHT

      See Also:
        Constant Field Values

    - #### PROPERTY_ROW_TOTAL_GROUP

          public static final java.lang.String PROPERTY_ROW_TOTAL_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_WIDTH

          public static final java.lang.String PROPERTY_WIDTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignCrosstabCell

          public JRDesignCrosstabCell()

      Creates a crosstab data cell.

  - ### Method Detail

    - #### setColumnTotalGroup

          public void setColumnTotalGroup(java.lang.String columnTotalGroup)

      Indicates that the cell corresponds to a total column.
      Parameters:
        `columnTotalGroup` - the corresponding column group
      See Also:
        `JRCrosstabCell.getColumnTotalGroup()`

    - #### setContents

          public void setContents(JRDesignCellContents contents)

      Sets the cell contents.
      Parameters:
        `contents` - the contents
      See Also:
        `JRCrosstabCell.getContents()`

    - #### setRowTotalGroup

          public void setRowTotalGroup(java.lang.String rowTotalGroup)

      Indicates that the cell corresponds to a total row.
      Parameters:
        `rowTotalGroup` - the corresponding row group
      See Also:
        `JRCrosstabCell.getRowTotalGroup()`

    - #### setWidth

          public void setWidth(java.lang.Integer width)

      Sets the cell width.

      This is compulsory for base cells only.

      Parameters:
        `width` - the width
      See Also:
        `JRCrosstabCell.getWidth()`

    - #### setHeight

          public void setHeight(java.lang.Integer height)

      Sets the cell height.

      This is compulsory for base cells only.

      Parameters:
        `height` - the height
      See Also:
        `JRCrosstabCell.getHeight()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseCrosstabCell`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com